Bug 539099 - KVM: host lockup upon virt-install
KVM: host lockup upon virt-install
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Marcelo Tosatti
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2009-11-19 11:47 EST by gregrwm
Modified: 2013-01-09 17:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-27 14:26:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gregrwm 2009-11-19 11:47:09 EST
Description of problem:  i had just launched
virt-install -r 500 -w bridge:br0 --accelerate -c rhel-server-5.4-x86_64-dvd.iso --os-variant=rhel5 -n vr5e --disk path=/var/lib/libvirt/images/vr5e,size=5

the host locked up.  on the console amongst iptables log chatter i observed the words "unimplemented perfctr wrmsr".  it was able to change virtual terminals and able to echo characters at the login screens, but unable to login or respond to existing logins.

Version-Release number of selected component (if applicable):
kernel 2.6.18-164.6.1.el5
python-virtinst 0.400.3 5.el5
host:  Sun Fire X2100 M2

How reproducible:  not reproducible.
Actual results:  host lockup.
Expected results:  virt-install success, continued host operation.
Comment 1 Chris Lalancette 2009-11-20 09:45:25 EST
This actually looks like a KVM bug, so switching it to there.

Chris Lalancette
Comment 2 gregrwm 2009-11-20 16:05:58 EST
yes kvm.

it just locked up again, this time the machine had been left idle for hours excepting (processes per vanilla rhel5, nagios nrpe, and) one VM, left awaiting input (awaiting a "CD change") (ie waiting for me to _successfully_ download the dvd, another unsolved problem).

what should we do to capture what's happening?
Comment 4 Dor Laor 2010-01-04 07:55:59 EST
Please supply net-console debug. Can you also re-try it with netfilter disabled (+set /files/etc/sysctl.conf/net.bridge.bridge-nf-call-ip6tables 0
+set /files/etc/sysctl.conf/net.bridge.bridge-nf-call-iptables 0
+set /files/etc/sysctl.conf/net.bridge.bridge-nf-call-arptables 0
)
Comment 5 Marcelo Tosatti 2010-01-07 06:51:33 EST
Either net console or serial console output, whatever is easier for you.
Comment 7 Marcelo Tosatti 2010-05-04 13:34:36 EDT
Greg,

More information (serial or net console output) is required to diagnose this
problem.
Comment 8 Marcelo Tosatti 2010-05-27 14:26:28 EDT
Closing due to lack of information to debug the problem.

Please reopen if necessary, with console output.

Note You need to log in before you can comment on or make changes to this bug.